-- This file handles the registration of custom input actions (key presses).

data:extend({
  -- Register custom input actions for fast scrolling
  {
    type = "custom-input",
    name = "fast-scroll-up",
    key_sequence = "UP",
    consuming = "none"
  },
  {
    type = "custom-input",
    name = "fast-scroll-down",
    key_sequence = "DOWN",
    consuming = "none"
  },
  {
    type = "custom-input",
    name = "fast-scroll-left",
    key_sequence = "LEFT",
    consuming = "none"
  },
  {
    type = "custom-input",
    name = "fast-scroll-right",
    key_sequence = "RIGHT",
    consuming = "none"
  }
})
